Bug 193480 - Update misc/mbuffer to 2014.03.10 to prevent core dumps on 11.0-CURRENT
Summary: Update misc/mbuffer to 2014.03.10 to prevent core dumps on 11.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Marcus von Appen
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2014-09-09 09:56 UTC by Fabian Keil
Modified: 2014-10-07 17:58 UTC (History)
3 users (show)

See Also:
mva: maintainer-feedback-


Attachments
Update misc/mbuffer to 2014.03.10 (3.35 KB, patch)
2014-09-09 09:56 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-09-09 09:56:07 UTC
Created attachment 147104 [details]
Update misc/mbuffer to 2014.03.10

The attached patch updates misc/mbuffer to 2014.03.10.

Port changes:

- Update the pkg-descr
- Fix version display (also reported upstream)

Upstream changes according to the ChangeLog:

20140310:
- added memory advise for buffer memory
- compatibility fix for Solars st driver
- prevent buffer overflow attack via defaults file
- ignore defaults file from other users
- updated documentation for use with cron
- minor bugfixes

20140126:
- new feature: set option defaults in ~/.mbuffer.rc
- enhancement: write status to the log file
- enhancement: added option to suppress status logging
- fix: formatting fix for summary message

One of those "minor bugfixes" prevents a reproducible core
dump on 11.0-CURRENT:

fk@r500 ~ $mbuffer
Assertion failed: (err == 0), function main, file mbuffer.c, line 2097.
Abort trap (core dumped)

Redports results:
https://redports.org/buildarchive/20140908110007-01808/
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-09-17 17:51:54 UTC
Over to maintainer.
Comment 2 mikej 2014-10-06 13:06:08 UTC
Any chance of getting the patch committed to the ports tree?

I had to apply this patch to 10.1-RC1 to avoid core dump when using using mbuffer like:

mbuffer -s 128m -m 1G -4 -I 9090 | zfs receive -duvF disk00/firewall

Thanks!
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2014-10-07 16:59:24 UTC
I'll take it (maintainer timeout).
Comment 4 commit-hook freebsd_committer 2014-10-07 17:57:39 UTC
A commit references this bug:

Author: mva
Date: Tue Oct  7 17:57:28 UTC 2014
New revision: 370384
URL: https://svnweb.freebsd.org/changeset/ports/370384

Log:
  - Update to version 2014.03.10
  - Fix version display
  - Minor updates to pkg-descr, incoluding a WWW: whitespace fix

  Notable changes:

  0140310:
  - added memory advise for buffer memory
  - compatibility fix for Solars st driver
  - prevent buffer overflow attack via defaults file
  - ignore defaults file from other users
  - updated documentation for use with cron
  - minor bugfixes

  20140126:
  - new feature: set option defaults in ~/.mbuffer.rc
  - enhancement: write status to the log file
  - enhancement: added option to suppress status logging
  - fix: formatting fix for summary message

  PR:		193480
  Submitted by:	fk@fabiankeil.de
  Approved by:	maintainer timeout (mm@)

Changes:
  head/misc/mbuffer/Makefile
  head/misc/mbuffer/distinfo
  head/misc/mbuffer/pkg-descr
Comment 5 Marcus von Appen freebsd_committer freebsd_triage 2014-10-07 17:58:06 UTC
Committed in ports r370384. Thanks!